#
# spec file for package gpm (Version 1.19.3)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  yacc
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim yacc

Name:         gpm
Copyright:    GPL
Group:        Utilities/Console
Provides:     gpm select
Autoreqprov:  on
Version:      1.19.3
Release:      32
Summary:      General purpose mouse support
Source0:      ftp://ftp.prosa.it/pub/gpm/gpm-%{version}.tar.bz2
Source1:      rcgpm
Patch0:       gpm-%{version}.patch
Patch1:       gpm-%{version}-ia64.patch
Patch2:       gpm-%{version}-DESTDIR.patch
Patch3:       gpm-%{version}-root.patch
Patch4:       gpm-%{version}-kernel2.4.9.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
a cut and paste utility and mouse server for virtual consoles
NOTE:
This program may cause problems when you start X on a system that does
not use a serial mouse.  If you get an 'unable to open mouse device'
error from X, disable gpm.

Authors:
--------
    Alessandro Rubini <rubini@ipvvis.unipv.it>

SuSE series: ap

%prep
%setup
%patch0
%patch1
%patch2
%patch3
%patch4
#
cp $RPM_SOURCE_DIR/rcgpm $RPM_BUILD_DIR/%{name}-%{version}/

%build
#autoconf
#CFLAGS="$RPM_OPT_FLAGS" 
CFLAGS="-g" 
./configure --prefix=/usr --mandir=%{_mandir} \
			--infodir=%{_infodir} %{_target_cpu}-suse-linux \
			--sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT \
     prefix=/usr \
     infodir=%{_infodir} \
     mandir=%{_mandir} install
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 644 gpm-root.conf $RPM_BUILD_ROOT/etc/
install rcgpm $RPM_BUILD_ROOT/etc/init.d/gpm
mkdir -p $RPM_BUILD_ROOT/sbin
ln -sf ../etc/init.d/gpm $RPM_BUILD_ROOT/sbin/rcgpm
mkdir -p $RPM_BUILD_ROOT/var/adm/setup
cp /dev/null $RPM_BUILD_ROOT/var/adm/setup/setup.selection
install -d $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
install t-mouse.el* $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
chmod a+x $RPM_BUILD_ROOT/usr/lib/libgpm*

%post
sbin/insserv etc/init.d/gpm

%postun
sbin/insserv etc/init.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc %{_infodir}/*
%doc %{_mandir}/*/*
%config /etc/gpm-root.conf
%config /etc/init.d/gpm
/sbin/*
/usr/bin/*
/usr/sbin/*
/usr/include/*
%{_libdir}/*
/usr/share/emacs/site-lisp/*
/var/adm/setup/*

%changelog -n gpm
* Mon Oct 22 2001 - pmladek@suse.cz
- fixed permissions of /dev/gpmctl back to 777, thus the normal
  user can use console applications (mc) with mouse support (#11893)
* Mon Sep 17 2001 - pmladek@suse.cz
- fixed to detect tokens AA 00 only in protocols
  for ps/2 mouses
* Mon Sep 10 2001 - pmladek@suse.cz
- fixed to read only two bytes when mouse is
  reconected and it sends tokens AA 00
* Fri Sep 07 2001 - pmladek@suse.cz
- fixed detection of reconnection of ps2 mouses and friends
  with kernel 2.4.9 or higher (bug #9822)
  * I take inspiration in patch from
  George Staikos (staikos@0wned.org)
* Thu Aug 23 2001 - pmladek@suse.cz
- updated to version 1.19.3:
  * security fixes:
  * close the newly accept()ed socket in case of
  identification failure
  * removed initial setuid(0) call
  * added initgroups()
  * many bugfixes
  * features:
  * re-check console size on console change
  * changed use of -o option
- removed obsolete security patches
- removed obsolete resize patch
- applied two patches from RedHat:
  * fix permissions on /dev/gpmctl
  * call initgroups in gpm-root before spawning command as user
  * make gpm-root work on big endian
* Mon Aug 06 2001 - kukuk@suse.de
- Fix comment about init script location [Bug #9494]
* Thu Jun 14 2001 - pmladek@suse.cz
- fixed link libgpm.so.1
* Fri Jun 08 2001 - kukuk@suse.de
- Use _libdir macros
* Fri Jun 08 2001 - pmladek@suse.cz
- fixed to compile on sparc64 (libraries in /usr/lib64 now)
- fixed BUILD_ROOT
* Wed May 16 2001 - pmladek@suse.cz
- fixed cast warnings on ia64
* Mon Apr 23 2001 - pmladek@suse.cz
- fixed warnings on ia64
* Thu Apr 12 2001 - pmladek@suse.cz
- fixed init script by new skeleton
- fixed to compile
- removed include $(DEPS) from makefile
* Mon Jan 15 2001 - nadvornik@suse.cz
- added Required-Start: $remote_fs $syslog [bug #5580]
* Tue Jan 02 2001 - olh@suse.de
- add script name to %%postin
* Wed Dec 20 2000 - pthomas@suse.de
- Fix bug in Gpm_Wgetch
* Tue Nov 28 2000 - ro@suse.de
- sbin/init.d -> etc/init.d
* Wed Nov 22 2000 - nadvornik@suse.cz
- removed runlevel links
- fixed init script
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
- used bzip2
* Fri Oct 06 2000 - schwab@suse.de
- Use getdtablesize() instead of OPEN_MAX.
* Mon Jul 17 2000 - nadvornik@suse.cz
- added security patch for disable-paste. Now it don't
  need to be installed with suid root.
* Thu Apr 27 2000 - nadvornik@suse.cz
- added initgroups() patch
- used --sysconfdir=/etc
* Tue Apr 18 2000 - nadvornik@suse.cz
- added BuildRoot
* Mon Apr 03 2000 - uli@suse.de
- merged in gpm-root fix by Alessandro Rubini
* Fri Feb 25 2000 - kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Mon Jan 31 2000 - uli@suse.de
- added fix for possible /tmp race attacks by thomas@suse.de
* Fri Dec 17 1999 - ro@suse.de
- removed params for ldconfig (-l does not work any more)
- update to 1.18.1
- got rid of Makefile.Linux
- use RPM_OPT_FLAGS for configure
* Mon Oct 11 1999 - uli@suse.de
- update -> 1.18.0
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Mar 16 1999 - ro@suse.de
- fixed rc-script: check if gpm already running
* Fri Mar 05 1999 - ro@suse.de
- fixed rc script
* Tue Mar 02 1999 - ro@suse.de
- update to 1.17.5
* Mon Dec 07 1998 - ro@suse.de
- updated init-script
- added rcgpm symlink
* Fri Oct 24 1997 - florian@suse.de
- update to gpm 1.13
* Sun May 04 1997 - bs@suse.de
- added /var/adm/setup/setup.selection
* Wed Apr 30 1997 - florian@suse.de
- update to version 1.12
* Thu Jan 02 1997 - florian@suse.de
- move startup scripts from aaa_base to gpm.tgz
